commit:     673afae54a000097148149a45fac8713ab58308c
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  6 16:51:12 2020 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Tue Oct  6 16:51:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=673afae5

sci-mathematics/wxmaxima: bump to 20.09.0

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 sci-mathematics/wxmaxima/Manifest                |  1 +
 sci-mathematics/wxmaxima/wxmaxima-20.09.0.ebuild | 49 ++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/sci-mathematics/wxmaxima/Manifest 
b/sci-mathematics/wxmaxima/Manifest
index 9a1ae4b2fec..b1f28846b0e 100644
--- a/sci-mathematics/wxmaxima/Manifest
+++ b/sci-mathematics/wxmaxima/Manifest
@@ -4,3 +4,4 @@ DIST wxmaxima-20.01.3.tar.gz 14221966 BLAKE2B 
cdaf62f5456446fe6edf1247323faa9f0a
 DIST wxmaxima-20.02.4.tar.gz 15242422 BLAKE2B 
ea9dc613fa94d046a9d461c56a9d1564001f4fa28d90a553040e85b7dd442df025521dd9501257d12c808a2e9285b7f34b04c9f10d4ce658bc6d423055c9fbd7
 SHA512 
d5eb0e09de55c3e6ebafeaa95957ca8bbdacac9ec1d99f6041fa99b7fa59364b3228336675f9bffa71b879b17268b80c695f16c9259bee6d5cab9ef7ed86294b
 DIST wxmaxima-20.04.0.tar.gz 15313618 BLAKE2B 
04a9544aeb1a7084250696fad99c51be21bf0b119581cebdf62b8dece3034ebcc1469b9d07576bfed8d72efe77ce6db47b5a29c4185a5e85114b552d3385caf9
 SHA512 
8caf9effa0167c3307eff4a6895a3b19b41aab37f845e4cdc139f3cdd03d9a061adc9ea4ad8ca7e0f28d83faf34d15f828f03c86d05ad7d83f0e28aee82aba70
 DIST wxmaxima-20.07.0.tar.gz 15723971 BLAKE2B 
cdec59e8ca17d0f4577a316a68e90795424d3d31829130e1854d908d76e54c02b125d20ce3a41ad5b4b06d57d918156bbbce7dead114b05daade34845d045124
 SHA512 
7272df5314ac79248154ee899397361da0570a6188ddc464b0479d2d6ac556ddf3941cf1ac17c9e6642e77d79a8458b902e70513dfdea15bc6a6d36d76b0bec2
+DIST wxmaxima-20.09.0.tar.gz 16159536 BLAKE2B 
758537f9d35ecbec1405318465ccce91b172f0e6fb00c71b926224f1cb90ed31263d8ae69a14a437c05e9e489e5143fb2e010ccb44e3fd9d7cf29785dbac9dfa
 SHA512 
952fdfec3f07904e3385657b43f5ad669a3149307843d352aa4d78c6ff88fb51aa31f301964a13c86faece5d4a2acce5af91338e7de57599d7414da447564fe8

diff --git a/sci-mathematics/wxmaxima/wxmaxima-20.09.0.ebuild 
b/sci-mathematics/wxmaxima/wxmaxima-20.09.0.ebuild
new file mode 100644
index 00000000000..9a2b704c52c
--- /dev/null
+++ b/sci-mathematics/wxmaxima/wxmaxima-20.09.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+WX_GTK_VER="3.0"
+PLOCALES="ca cs da de el en es fi fr gl hu it ja kab nb pl pt_BR ru tr uk 
zh_CN zh_TW"
+inherit cmake-utils wxwidgets l10n xdg
+
+DESCRIPTION="Graphical frontend to Maxima, using the wxWidgets toolkit"
+HOMEPAGE="https://wxmaxima-developers.github.io/wxmaxima/";
+SRC_URI="https://github.com/wxMaxima-developers/wxmaxima/archive/Version-${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+S="${WORKDIR}"/${PN}-Version-${PV}
+
+DEPEND="
+       dev-libs/libxml2:2
+       x11-libs/wxGTK:${WX_GTK_VER}"
+RDEPEND="${DEPEND}
+       media-fonts/jsmath
+       sci-visualization/gnuplot[wxwidgets]
+       sci-mathematics/maxima"
+
+src_prepare() {
+       setup-wxwidgets
+       cmake-utils_src_prepare
+
+       sed -e "s|share/doc/${PN}|share/doc/${PF}|g" -i 
"${S}"/info/CMakeLists.txt \
+               || die "sed info/CMakeLists.txt failed"
+
+       # locales
+       rm_po() {
+               rm "${S}"/locales/wxMaxima/${1}.po || die "rm ${1}.po failed"
+               rm -f "${S}"/locales/manual/${1}.po
+               rm -f "${S}"/locales/wxwin/${1}.po
+               rm -f "${S}"/info/${PN}.${1}.md
+               rm -f "${S}"/info/${PN}.${1}.html
+       }
+       l10n_find_plocales_changes "${S}"/locales/wxMaxima '' '.po'
+       l10n_for_each_disabled_locale_do rm_po
+}
+
+src_install() {
+       docompress -x /usr/share/doc/${PF}
+       cmake-utils_src_install
+}

Reply via email to